################################################################################
#                       REST API Specification in YAML                         #
################################################################################

# Swagger API specification version
swagger: '2.0'

################################################################################
#                                API Metadata                                  #
################################################################################
#    ![Khan Bank (Khan Bank) (khan-logo.jpg)
info:
  title: Realtime-XLS REST API with CR14, CR19 & CR20 updates 
  description: |
    Releases
    - Realtime-XLS REST API for Khan Bank project based on Ayer Rock B1:
     - v1
        - [Account](/?url=swagger/XLSARB1/05-Account_API/01-Specification/account_api_v1.yaml)
        - [Authentication](/?url=swagger/XLSARB1/01-Authentication_API/01-Specification/authentication_api_v1.yaml)
        - [Campaign](/?url=swagger/XLSARB1/04-Campaign_API/01-Specification/campaign_api_v1.yaml)
        - [Communication](/?url=swagger/XLSARB1/07-Communication_API/01-Specification/communication_api_v1.yaml)
        - [Merchant](/?url=swagger/XLSARB1/06-Merchant_API/01-Specification/merchant_api_v1.yaml)
        - [Offer](/?url=swagger/XLSARB1/02-Offer_API/01-Specification/offer_api_v1.yaml)
        - [Transaction](/?url=swagger/XLSEWB1/03-Transaction_API/01-Specification/transaction_api_v1.yaml)
     - v2
        - [Transaction](/?url=swagger/XLSARB1/03-Transaction_API/01-Specification/transaction_api_v2.yaml)
  termsOfService: https://www.collinsongroup.com/terms-of-use
  contact:
    name: Collinson
    url: https://www.collinsongroup.com/
    email: info.welcome-xls@collinsongroup.com
  license:
    name: 2019 - Collinson
  version: '1.01'

################################################################################
#                  Host, Base Path, Schemes and Content Types                  #
################################################################################
# Domain of the service
host: api.wrtloyalty.com
# Base path serving the API
basePath: /
# List of all schemes that OPC API supports
schemes:
  - https
# Format of bodies a client can send (Content-Type)
consumes:
  - application/json
# Format of the responses to the client (Accepts)
produces:
  - application/json

################################################################################
paths: {}
